        END IF

        CALL ieee_set_halting_mode(ieee_all, haltingFlags)

! The only IEEE status flags set at this point are those which
! need to be communicated to the calling procedure. These
! will be added to those that were signalling on entry.
! This happens automatically and does not require any
! explicit coding here.
